
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 班组安全活动附件表
    /// </summary>
    [Description("班组安全活动附件")]
    public class T_FO_TEAM_ACTIVITY_FILE : MesEntityBase
    {
        [DataFieldForeignKey("Nav_TeamActivity", "Nav_TeamActivityFile")]   //定义导航属性外键
        [Description("班组安全活动记录ID")]
        public Guid TEAM_ACTIVITY_ID { get; set; }

        [Description("导航：班组安全活动记录表")]
        public virtual T_FO_TEAM_ACTIVITY Nav_TeamActivity { get; set; }   //Nav_TeamActivity为当前表导航属性，导航回主表

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("附件ID")]
        public Guid IMG_FILE_ID { get; set; }

        [Description("导航：附件文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
